[PATCH 3/4] Documentation/00-INDEX.sh: add script to help keeping the index up-to-date

From: Cyril Brulebois
Date: Sat Apr 23 2011 - 12:23:14 EST


Signed-off-by: Cyril Brulebois <kibi@xxxxxxxxxx>
---
Documentation/00-INDEX.sh | 24 ++++++++++++++++++++++++
1 files changed, 24 insertions(+), 0 deletions(-)
create mode 100755 Documentation/00-INDEX.sh

diff --git a/Documentation/00-INDEX.sh b/Documentation/00-INDEX.sh
new file mode 100755
index 0000000..31d92d2
--- /dev/null
+++ b/Documentation/00-INDEX.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright 2011 Cyril Brulebois <kibi@xxxxxxxxxx>
+#
+# Try and keep the 00-INDEX file up-to-date.
+
+# List all entries below the 00-INDEX entry:
+documented=$(sed '1,/^00-INDEX$/d' 00-INDEX|grep -v '^\s'|sed 's,/$,,')
+
+# List all files/directories except 00-INDEX* and Makefile:
+present=$(ls -1|grep -v '^00-INDEX'|grep -v '^Makefile$')
+
+echo "Undocumented:"
+for i in $present; do
+ if ! echo "$documented"|grep -qs "\<$i\>"; then
+ echo " $i"
+ fi
+done
+
+echo "Documented but missing:"
+for i in $documented; do
+ if [ ! -e $i ]; then
+ echo " $i"
+ fi
+done
--
1.7.4.4

--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/